using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp11
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[] s= Console.ReadLine().Split(' ');
            int n = int.Parse(s[0]);
            int l = int.Parse(s[1]);
            int[] h = new int[n];
            string[] s1 = Console.ReadLine().Split(' ');
            for (int i = 0; i < n; i++)
            {               
                h[i]= int.Parse(s1[i]);
            }
            int ind = -1;
            for (int i = 0; i < n; i++)
            {
                if (l - h[i] >= 0)
                {
                    ind = i + 1;                   
                    break;
                }
            }
            Console.WriteLine(ind);
            Console.ReadLine();
        }
    }
}